<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/CalorimeterHit.cc File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">CalorimeterHit.cc File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_calorimeter_hit_8h_source.html">eicd/CalorimeterHit.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_calorimeter_hit_const_8h_source.html">eicd/CalorimeterHitConst.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_calorimeter_hit_obj_8h_source.html">eicd/CalorimeterHitObj.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_calorimeter_hit_data_8h_source.html">eicd/CalorimeterHitData.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_calorimeter_hit_collection_8h_source.html">eicd/CalorimeterHitCollection.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_raw_calorimeter_hit_8h_source.html">eicd/RawCalorimeterHit.h</a>&quot;</code><br />
<code>#include &lt;ostream&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for CalorimeterHit.cc:</div>
<div class="dyncontent">
<div class="center"><img src="_calorimeter_hit_8cc__incl.png" border="0" usemap="#src_2_calorimeter_hit_8cc" alt=""/></div>
<map name="src_2_calorimeter_hit_8cc" id="src_2_calorimeter_hit_8cc">
<area shape="rect" id="node2" href="_calorimeter_hit_8h.html" title="eicd/CalorimeterHit.h" alt="" coords="1214,155,1359,181"/>
<area shape="rect" id="node3" href="_calorimeter_hit_const_8h.html" title="eicd/CalorimeterHitConst.h" alt="" coords="1346,229,1526,256"/>
<area shape="rect" id="node4" href="_calorimeter_hit_obj_8h.html" title="eicd/CalorimeterHitObj.h" alt="" coords="1175,304,1340,331"/>
<area shape="rect" id="node5" href="_calorimeter_hit_data_8h.html" title="eicd/CalorimeterHitData.h" alt="" coords="619,379,792,405"/>
<area shape="rect" id="node10" href="_calorimeter_hit_collection_8h.html" title="eicd/CalorimeterHitCollection.h" alt="" coords="421,80,624,107"/>
<area shape="rect" id="node19" href="_raw_calorimeter_hit_8h.html" title="eicd/RawCalorimeterHit.h" alt="" coords="1670,155,1842,181"/>
<area shape="rect" id="node6" href="_vector_x_y_z_8h.html" title="eicd/VectorXYZ.h" alt="" coords="1315,453,1440,480"/>
<area shape="rect" id="node20" href="_raw_calorimeter_hit_const_8h.html" title="eicd/RawCalorimeterHitConst.h" alt="" coords="1653,229,1859,256"/>
<area shape="rect" id="node21" href="_raw_calorimeter_hit_obj_8h.html" title="eicd/RawCalorimeterHitObj.h" alt="" coords="1660,304,1852,331"/>
<area shape="rect" id="node22" href="_raw_calorimeter_hit_data_8h.html" title="eicd/RawCalorimeterHitData.h" alt="" coords="1656,379,1856,405"/>
</map>
</div>
</div>
<p><a href="_calorimeter_hit_8cc_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceeic"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html">eic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a207cb16b7a2df08e82d05c73c144487f"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a> (std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</td></tr>
<tr class="separator:a207cb16b7a2df08e82d05c73c144487f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
